Subject: [bug#26339] "extlinux", "extlinux" gpt, bootloader-configuration without package nor installer

From: [email-masked] (Ludovic Courtès)
Date: Mon, 12 Jun 2017 22:20:54 +0200

Hi,

Danny Milosavljevic <[email-masked]> skribis:

> Not sure why this goes into extlinux.  Extlinux is just a configuration standard.  It wouldn't have those installation files "mbr.bin", "gptmbr.bin".
>
> According to http://www.syslinux.org/wiki/index.php?title=Mbr it seems these are part of the syslinux bootloader distribution.
>
> It was weird like that before patch 504 but I don't think it makes sense to conflate extlinux with syslinux.

Oh I understand better now (sorry for not reading messages in the right
order), and I agree with you.

If “extlinux” is just the name of the configuration file format, I would
argue in favor of having (gnu bootloaders extlinux) simply provide
‘extlinux-configuration-file’.  It should not provide ‘install-extlinux’
and ‘extlinux-bootloader’ at all.

Instead these should go to (gnu bootloaders syslinux), with
s/extlinux/syslinux/.

In addition, I think {extlinux,syslinux}.scm and guix.texi should
provide references to the relevant bits of upstream documentation
(documentation for the extlinux format, documentation for the syslinux
MBR and GPT bootloaders, etc.)  This will be useful for those of us
who’re not familiar with the thing (like me :-)).

Thanks,
Ludo’.